KILL(1)

BEZEICHNUNG
kill - ein Signal an einen Prozess senden

ÜBERSICHT
kill [Optionen] <PID> [...]

BESCHREIBUNG
Das Standardsignal für kill ist TERM. Verwenden Sie -l oder -L, um verfügbare Signale aufzulisten. Im Einzelnen sind diese Signale HUP, INT, KILL, STOP, CONT und 0. Andere Signale können auf drei verschiedene Arten angegeben werden: -9, -SIGKILL oder -KILL. Negative Werte für Prozess-IDs können zum Auswählen ganzer Prozessgruppen verwendet werden, siehe die PGID-Spalte in der Ausgabe des ps-Befehls. Eine Prozess-ID von -1 ist speziell, sie bezieht sich auf alle Prozesse außer den kill-Prozess selbst und init.

OPTIONEN

<PID> […]
    sendet ein Signal an jede der aufgelisteten <PIDs>

-<Signal>
-s <Signal>
--signal <Signal>
    gibt das zu sendende Signal an. Das Signal kann als Name oder Nummer angegeben werden. Das Verhalten der Signale ist in der Handbuchseite zu signal(7) beschrieben.

-l, --list [Signal]
    listet Signalnamen auf. Diese Option hat ein optionales Argument, das die Signalnummer in den Signalnamen umwandelt oder umgekehrt.

-L, --table
    listet alle Signalnamen in einer Tabelle auf.

ANMERKUNGEN
In Ihrer Shell (dem Befehlszeileninterpreter) könnte bereits ein kill-Befehl
    eingebaut sein. Es könnte möglich sein, dass Sie den hier beschriebenen Befehl als /bin/kill ausführen müssen, um den Konflikt zu lösen.

BEISPIELE

kill -9 -1
    würgt alle Prozesse ab, die abgewürgt werden können.

kill -l 11
    wandelt die Nummer 11 in einen Signalnamen um.

kill -L
    listet alle Signalauswahlen in einer Tabelle auf.

kill 123 543 2341 3453
    sendet das vorgegebene Signal SIGTERM an alle diese Prozesse

SIEHE AUCH
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), skill(1)

STANDARDS
Dieser Befehl entspricht den üblichen Standards. Der Schalter -L ist Linux-spezifisch.

AUTOR
Albert Cahalan (albert@users.sf.net) schrieben den kill-Befehl im Jahre 1999, um eine bsdutils-Version zu ersetzen, die nicht standardkompatibel war. Die Version von util-linux könnte auch korrekt funktionieren.

FEHLER BERICHTEN
Bitte senden Sie Fehlerberichte an procps@freelists.org